.headerCont {
    position: absolute !important;
    top: 0;
    left: 0;
    width: 100%;
    z-index: 1000000;
    height: 100vh;
    justify-content: space-between;
    pointer-events: none;
    flex-wrap: nowrap !important;
}

.headerInfo,
.headerMain {
    pointer-events: all;
}

header .catalogueBtnIco .wp-block-button__link::after {
    width: 11px;
    height: 18px;
}

.headerMain {
    transition: 300ms ease-in-out !important;
    box-shadow: var(--abm-shadow-1) !important;
}

ul.mainNav {
    display: flex;
    gap: 30px;
}

ul.mainNav a.wp-block-navigation-item__content {
    padding: 20px 5px;
    position: relative;
}

.catalogueHoverWrap {
    cursor: pointer;
}

.catalogueHover {
    position: absolute !important;
    left: 50%;
    transform: translateX(-50%);
    top: calc(100% - 6px);
    width: calc(100% - 30px) !important;
    visibility: hidden !important;
    overflow: hidden !important;
    transition: 400ms ease-in-out !important;
    height: 0 !important;
}

.catalogueHoverWrap:hover .catalogueHover {
    height: 132px !important;
    visibility: visible !important;
}

.catalogueHover .block-uagb-image,
.catalogueHover figure {
    width: 100% !important;
    height: 100% !important;
}

.catalogueHover img {
    width: 100% !important;
    height: 100% !important;
    object-fit: cover !important;
    aspect-ratio: 23 / 33 !important;
}



/*HOVERS*/
.infoContacts .uagb-infobox-margin-wrapper {
    position: relative !important;
}

.infoContacts .uagb-infobox-margin-wrapper::before,
.infoContacts .uagb-infobox-margin-wrapper::after {
    content: '';
    display: block;
    position: absolute;
    border-style: solid;
    border-color: var(--wp--preset--color--base);
    visibility: hidden;
    width: 0;
    height: 0;
    pointer-events: none;
    transition: 400ms ease-in-out;
}

.infoContacts .uagb-infobox-margin-wrapper::before {
    top: 0;
    left: 0;
    border-width: 1px 0 0 1px;
}

.infoContacts .uagb-infobox-margin-wrapper::after {
    bottom: 0;
    right: 0;
    border-width: 0 1px 1px 0;
}

.infoContacts .uagb-infobox__content-wrap:has(a:hover) .uagb-infobox-margin-wrapper::before,
.infoContacts .uagb-infobox__content-wrap:has(a:hover) .uagb-infobox-margin-wrapper::after {
    width: 100%;
    height: 100%;
    border-radius: 7px;
    visibility: visible;
}

.infoContacts .uagb-ifb-image-content img {
    filter: brightness(2);
    transition: 400ms ease-in-out;
}

.infoContacts  .uagb-infobox__content-wrap:has(a:hover) .uagb-ifb-image-content img {
    filter: brightness(1);
}

.headerSocials svg,
.headerLangCont a,
.headerProdCont svg path,
.headerLogoCont svg path {
    transition: 400ms ease-in-out;
}

.headerLogoCont:hover svg path,
.headerProdCont:hover svg path {
    fill: var(--wp--preset--color--accent-2);
}

ul.mainNav a.wp-block-navigation-item__content::after {
    content: '';
    display: block;
    left: 5px;
    bottom: 5px;
    height: 1px;
    width: 0;
    position: absolute;
    transition: 300ms ease-in-out;
    visibility: hidden;
    pointer-events: none;
    background-color: var(--wp--preset--color--contrast-3);
}

ul.mainNav a.wp-block-navigation-item__content:hover::after {
    width: calc(100% - 10px);
    visibility: visible;
}

.headerHoverBox {
    position: relative !important;
}

.headerHoverText {
    position: absolute !important;
    width: unset !important;
    max-width: unset !important;
    white-space: nowrap !important;
    bottom: 100%;
    transition: 300ms ease-in-out !important;
    opacity: 0;
    visibility: hidden;
    background-color: var(--wp--preset--color--accent-2) !important;
    border: 2px solid var(--wp--preset--color--base) !important;
    padding: 3px 10px !important;
    border: 2px solid var(--wp--preset--color--base) !important;
    border-radius: 5px !important;
}

.headerHoverText .uagb-heading-text {
    white-space: nowrap !important;
}

.headerHoverText a {
    position: relative;
    z-index: 1;
}

.headerHoverText::after {
    content: '';
    display: block;
    position: absolute;
    bottom: 3px;
    left: 50%;
    transform: translate(-50%, 50%) rotate(45deg);
    width: 11px;
    height: 11px;
    background-color: var(--wp--preset--color--accent-2);
}

.headerHoverBox:hover .headerHoverText {
    opacity: 1;
    bottom: calc(100% + 6px);
    visibility: visible;
}

.stickyHeader .headerHoverText {
    bottom: unset !important;
    top: 100%;
}

.stickyHeader .headerHoverBox:hover .headerHoverText {
    top: calc(100% + 6px);
}

.stickyHeader .headerHoverText::after {
    bottom: unset;
    top: 3px;
    transform: translate(-50%, -50%) rotate(45deg);
}

.headerInfo {
    z-index: 1;
}

@media (max-width: 1499.98px) {
    .headerHoverText {
        right: -10px;
    }

    .headerHoverText::after {
        left: unset;
        right: 4px;
    }
}

@media (max-width: 1359.98px) {
    .headerMain > .wp-block-uagb-container {
        gap: 20px !important;
    }

    ul.mainNav {
        gap: 20px !important;
    }

    .infoRight {
        gap: 20px !important;
    }
}

@media (max-width: 1199.98px) {
    .infoContacts .uagb-infobox__content-wrap {
        width: 37px !important;
        height: 37px !important;
    }

    .infoContacts .uagb-infobox-margin-wrapper {
        display: flex !important;
        justify-content: center !important;
        align-items: center !important;
        width: 100% !important;
        height: 100% !important;
    }

    .infoContacts .uagb-ifb-title-wrap {
        position: absolute !important;
        width: unset !important;
        top: 100%;
        left: -10px;
        transition: 300ms ease-in-out !important;
        opacity: 0;
        visibility: hidden;
        background-color: var(--wp--preset--color--accent-2) !important;
        border: 2px solid var(--wp--preset--color--base) !important;
        padding: 3px 10px !important;
        border: 2px solid var(--wp--preset--color--base) !important;
        border-radius: 5px !important;
        white-space: nowrap;
    }

    .infoContacts .uagb-ifb-title-wrap::after {
        content: '';
        display: block;
        position: absolute;
        top: 0;
        left: 27px;
        transform: translate(-50%, -50%) rotate(45deg);
        width: 11px;
        height: 11px;
        background-color: var(--wp--preset--color--accent-2);
    }

    .infoContacts .uagb-infobox__content-wrap:hover .uagb-ifb-title-wrap {
        visibility: visible;
        opacity: 1;
        top: calc(100% + 6px);
    }

    .infoContacts .uagb-ifb-title {
        margin: 0 !important;
        position: relative;
        z-index: 1;
        color: var(--wp--preset--color--contrast) !important;
        font-size: var(--wp--preset--font-size--small);
    }
}

@media (max-width: 849.98px) {
    .headerSocials {
        display: none !important;
    }
}

@media (max-width: 767.98px) {
    .headerInfo {
        flex-wrap: nowrap !important;
    }

    .infoRight,
    .catalogueHoverWrap {
        flex-direction: row !important;
        flex-wrap: nowrap !important;
    }
}

@media (max-width: 739.98px) {
    .infoContacts {
        display: none !important;
    }
}

@media (max-width: 609.98px) {
    .headerProdCont {
        display: none !important;
    }    
}

@media (max-width: 549.98px) {
    .headerLogoCont .wp-block-safe-svg-svg-icon {
        width: 160px !important;
    }
}

@media (max-width: 459.98px) {
    .headerInfo {
        display: flex;
        flex-direction: column !important;
        align-items: stretch !important;
        width: unset !important;
        max-width: unset !important;
    }

    .headerLogoCont .wp-block-safe-svg-svg-icon {
        width: 100% !important;
    }
}

@media(max-height: 750px){
    .headerCont {
        min-height: 750px !important;
    }
}

/*STATIC*/
header.staticHeader .headerCont {
    min-height: unset !important;
    height: 200px !important;
}

header.staticHeader .headerCont::before {
    content: '';
    display: block;
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 120px;
    background-image: linear-gradient(to bottom, #292929, #29292900);
}